<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxPngEncodeParam (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxPngEncodeParam (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":9,"i32":10,"i33":10,"i34":6,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10,"i61":10,"i62":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxPngEncodeParam.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util.png</a></div>
<h2 title="Class mxPngEncodeParam" class="title">Class mxPngEncodeParam</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.png.mxPngEncodeParam</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="mxPngEncodeParam.Gray.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.Gray</a></code>, <code><a href="mxPngEncodeParam.Palette.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.Palette</a></code>, <code><a href="mxPngEncodeParam.RGB.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.RGB</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">mxPngEncodeParam</span>
extends java.lang.Object</pre>
<div class="block">An instance of <code>ImageEncodeParam</code> for encoding images in
 the PNG format.

 <p><b> This class is not a committed part of the JAI API.  It may
 be removed or changed in future releases of JAI.</b></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxPngEncodeParam.Gray.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.Gray</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxPngEncodeParam.Palette.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.Palette</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxPngEncodeParam.RGB.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.RGB</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bitDepth">bitDepth</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bitDepthSet">bitDepthSet</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INTENT_ABSOLUTE">INTENT_ABSOLUTE</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use with the sRGB chunk.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INTENT_PERCEPTUAL">INTENT_PERCEPTUAL</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use with the sRGB chunk.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INTENT_RELATIVE">INTENT_RELATIVE</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use with the sRGB chunk.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INTENT_SATURATION">INTENT_SATURATION</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use with the sRGB chunk.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PNG_FILTER_AVERAGE">PNG_FILTER_AVERAGE</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use in filtering.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PNG_FILTER_NONE">PNG_FILTER_NONE</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use in filtering.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PNG_FILTER_PAETH">PNG_FILTER_PAETH</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use in filtering.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PNG_FILTER_SUB">PNG_FILTER_SUB</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use in filtering.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PNG_FILTER_UP">PNG_FILTER_UP</a></span></code></th>
<td class="colLast">
<div class="block">Constant for use in filtering.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxPngEncodeParam</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addPrivateChunk(java.lang.String,byte%5B%5D)">addPrivateChunk</a></span>&#8203;(java.lang.String&nbsp;type,
               byte[]&nbsp;data)</code></th>
<td class="colLast">
<div class="block">Adds a private chunk, in binary form, to the list of chunks to
 be stored with this image.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filterRow(byte%5B%5D,byte%5B%5D,byte%5B%5D%5B%5D,int,int)">filterRow</a></span>&#8203;(byte[]&nbsp;currRow,
         byte[]&nbsp;prevRow,
         byte[][]&nbsp;scratchRows,
         int&nbsp;bytesPerRow,
         int&nbsp;bytesPerPixel)</code></th>
<td class="colLast">
<div class="block">Performs filtering on a row of an image.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBitDepth()">getBitDepth</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the desired bit depth for a grayscale image.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChromaticity()">getChromaticity</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the white point and primary chromaticities in
 CIE (x, y) space.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCompressedText()">getCompressedText</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the text strings to be stored in compressed form with
 this image as an array of <code>String</code>s.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDefaultEncodeParam(java.awt.image.RenderedImage)">getDefaultEncodeParam</a></span>&#8203;(java.awt.image.RenderedImage&nbsp;im)</code></th>
<td class="colLast">
<div class="block">Returns an instance of <code>PNGEncodeParam.Palette</code>,
 <code>PNGEncodeParam.Gray</code>, or
 <code>PNGEncodeParam.RGB</code> appropriate for encoding
 the given image.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGamma()">getGamma</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the file gamma value for the image.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getICCProfileData()">getICCProfileData</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the ICC profile data to be stored with this image.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInterlacing()">getInterlacing</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns <code>true</code> if Adam7 interlacing will be used.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.Date</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getModificationTime()">getModificationTime</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the modification time to be stored with this image.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNumPrivateChunks()">getNumPrivateChunks</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the number of private chunks to be written to the
 output file.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPaletteHistogram()">getPaletteHistogram</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the palette histogram to be stored with this image.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPhysicalDimension()">getPhysicalDimension</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the physical dimension information to be stored
 with this image.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPrivateChunkData(int)">getPrivateChunkData</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the data associated of the private chunk at a given
 index, as an array of <code>byte</code>s.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPrivateChunkType(int)">getPrivateChunkType</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the type of the private chunk at a given index, as a
 4-character <code>String</code>.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSignificantBits()">getSignificantBits</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the number of significant bits for each band of the image.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSRGBIntent()">getSRGBIntent</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the sRGB rendering intent to be stored with this image.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getText()">getText</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the text strings to be stored in uncompressed form with this
 image as an array of <code>String</code>s.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isBackgroundSet()">isBackgroundSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'bKGD' chunk will be output.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isChromaticitySet()">isChromaticitySet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'cHRM' chunk will be output.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCompressedTextSet()">isCompressedTextSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'zTXT' chunk will be output.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isGammaSet()">isGammaSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'gAMA' chunk will be output.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isICCProfileDataSet()">isICCProfileDataSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'iCCP' chunk will be output.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isModificationTimeSet()">isModificationTimeSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'tIME' chunk will be output.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPaletteHistogramSet()">isPaletteHistogramSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'hIST' chunk will be output.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPhysicalDimensionSet()">isPhysicalDimensionSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'pHYS' chunk will be output.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSignificantBitsSet()">isSignificantBitsSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if an 'sBIT' chunk will be output.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSRGBIntentSet()">isSRGBIntentSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if an 'sRGB' chunk will be output.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSuggestedPaletteSet()">isSuggestedPaletteSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'sPLT' chunk will be output.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isTextSet()">isTextSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'tEXt' chunk will be output.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isTransparencySet()">isTransparencySet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'tRNS' chunk will be output.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paethPredictor(int,int,int)">paethPredictor</a></span>&#8203;(int&nbsp;a,
              int&nbsp;b,
              int&nbsp;c)</code></th>
<td class="colLast">
<div class="block">The Paeth predictor routine used in PNG encoding.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeAllPrivateChunks()">removeAllPrivateChunks</a></span>()</code></th>
<td class="colLast">
<div class="block">Remove all private chunks associated with this parameter instance.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeUnsafeToCopyPrivateChunks()">removeUnsafeToCopyPrivateChunks</a></span>()</code></th>
<td class="colLast">
<div class="block">Remove all private chunks associated with this parameter instance
 whose 'safe-to-copy' bit is not set.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBitDepth(int)">setBitDepth</a></span>&#8203;(int&nbsp;bitDepth)</code></th>
<td class="colLast">
<div class="block">Sets the desired bit depth of an image.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setChromaticity(float%5B%5D)">setChromaticity</a></span>&#8203;(float[]&nbsp;chromaticity)</code></th>
<td class="colLast">
<div class="block">Sets the white point and primary chromaticities in CIE (x, y)
 space.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setChromaticity(float,float,float,float,float,float,float,float)">setChromaticity</a></span>&#8203;(float&nbsp;whitePointX,
               float&nbsp;whitePointY,
               float&nbsp;redX,
               float&nbsp;redY,
               float&nbsp;greenX,
               float&nbsp;greenY,
               float&nbsp;blueX,
               float&nbsp;blueY)</code></th>
<td class="colLast">
<div class="block">A convenience method that calls the array version.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCompressedText(java.lang.String%5B%5D)">setCompressedText</a></span>&#8203;(java.lang.String[]&nbsp;text)</code></th>
<td class="colLast">
<div class="block">Sets the text strings to be stored in compressed form with this
 image.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGamma(float)">setGamma</a></span>&#8203;(float&nbsp;gamma)</code></th>
<td class="colLast">
<div class="block">Sets the file gamma value for the image.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setICCProfileData(byte%5B%5D)">setICCProfileData</a></span>&#8203;(byte[]&nbsp;ICCProfileData)</code></th>
<td class="colLast">
<div class="block">Sets the ICC profile data to be stored with this image.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInterlacing(boolean)">setInterlacing</a></span>&#8203;(boolean&nbsp;useInterlacing)</code></th>
<td class="colLast">
<div class="block">Turns Adam7 interlacing on or off.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setModificationTime(java.util.Date)">setModificationTime</a></span>&#8203;(java.util.Date&nbsp;modificationTime)</code></th>
<td class="colLast">
<div class="block">Sets the modification time, as a <code>Date</code>, to be
 stored with this image.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPaletteHistogram(int%5B%5D)">setPaletteHistogram</a></span>&#8203;(int[]&nbsp;paletteHistogram)</code></th>
<td class="colLast">
<div class="block">Sets the palette histogram to be stored with this image.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPhysicalDimension(int%5B%5D)">setPhysicalDimension</a></span>&#8203;(int[]&nbsp;physicalDimension)</code></th>
<td class="colLast">
<div class="block">Sets the physical dimension information to be stored with this
 image.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPhysicalDimension(int,int,int)">setPhysicalDimension</a></span>&#8203;(int&nbsp;xPixelsPerUnit,
                    int&nbsp;yPixelsPerUnit,
                    int&nbsp;unitSpecifier)</code></th>
<td class="colLast">
<div class="block">A convenience method that calls the array version.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSignificantBits(int%5B%5D)">setSignificantBits</a></span>&#8203;(int[]&nbsp;significantBits)</code></th>
<td class="colLast">
<div class="block">Sets the number of significant bits for each band of the image.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSRGBIntent(int)">setSRGBIntent</a></span>&#8203;(int&nbsp;SRGBIntent)</code></th>
<td class="colLast">
<div class="block">Sets the sRGB rendering intent to be stored with this image.</div>
</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSuggestedPalette(hk.quantr.mxgraph.util.png.mxPngSuggestedPaletteEntry%5B%5D)">setSuggestedPalette</a></span>&#8203;(<a href="mxPngSuggestedPaletteEntry.html" title="class in hk.quantr.mxgraph.util.png">mxPngSuggestedPaletteEntry</a>[]&nbsp;palette)</code></th>
<td class="colLast">
<div class="block">Sets the suggested palette information to be stored with this
 image.</div>
</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setText(java.lang.String%5B%5D)">setText</a></span>&#8203;(java.lang.String[]&nbsp;text)</code></th>
<td class="colLast">
<div class="block">Sets the textual data to be stored in uncompressed form with this
 image.</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetBackground()">unsetBackground</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'bKGD' chunk from being output.</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetBitDepth()">unsetBitDepth</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the setting of the bit depth of a grayscale image.</div>
</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetChromaticity()">unsetChromaticity</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'cHRM' chunk from being output.</div>
</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetCompressedText()">unsetCompressedText</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'zTXt' chunk from being output.</div>
</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetGamma()">unsetGamma</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'gAMA' chunk from being output.</div>
</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetICCProfileData()">unsetICCProfileData</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'iCCP' chunk from being output.</div>
</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetModificationTime()">unsetModificationTime</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'tIME' chunk from being output.</div>
</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetPaletteHistogram()">unsetPaletteHistogram</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'hIST' chunk from being output.</div>
</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetPhysicalDimension()">unsetPhysicalDimension</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'pHYS' chunk from being output.</div>
</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetSignificantBits()">unsetSignificantBits</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'sBIT' chunk from being output.</div>
</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetSRGBIntent()">unsetSRGBIntent</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'sRGB' chunk from being output.</div>
</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetSuggestedPalette()">unsetSuggestedPalette</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'sPLT' chunk from being output.</div>
</td>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetText()">unsetText</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'tEXt' chunk from being output.</div>
</td>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetTransparency()">unsetTransparency</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'tRNS' chunk from being output.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="INTENT_PERCEPTUAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTENT_PERCEPTUAL</h4>
<pre>public static final&nbsp;int INTENT_PERCEPTUAL</pre>
<div class="block">Constant for use with the sRGB chunk.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.INTENT_PERCEPTUAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INTENT_RELATIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTENT_RELATIVE</h4>
<pre>public static final&nbsp;int INTENT_RELATIVE</pre>
<div class="block">Constant for use with the sRGB chunk.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.INTENT_RELATIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INTENT_SATURATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTENT_SATURATION</h4>
<pre>public static final&nbsp;int INTENT_SATURATION</pre>
<div class="block">Constant for use with the sRGB chunk.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.INTENT_SATURATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INTENT_ABSOLUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTENT_ABSOLUTE</h4>
<pre>public static final&nbsp;int INTENT_ABSOLUTE</pre>
<div class="block">Constant for use with the sRGB chunk.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.INTENT_ABSOLUTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="PNG_FILTER_NONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PNG_FILTER_NONE</h4>
<pre>public static final&nbsp;int PNG_FILTER_NONE</pre>
<div class="block">Constant for use in filtering.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.PNG_FILTER_NONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="PNG_FILTER_SUB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PNG_FILTER_SUB</h4>
<pre>public static final&nbsp;int PNG_FILTER_SUB</pre>
<div class="block">Constant for use in filtering.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.PNG_FILTER_SUB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="PNG_FILTER_UP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PNG_FILTER_UP</h4>
<pre>public static final&nbsp;int PNG_FILTER_UP</pre>
<div class="block">Constant for use in filtering.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.PNG_FILTER_UP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="PNG_FILTER_AVERAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PNG_FILTER_AVERAGE</h4>
<pre>public static final&nbsp;int PNG_FILTER_AVERAGE</pre>
<div class="block">Constant for use in filtering.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.PNG_FILTER_AVERAGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="PNG_FILTER_PAETH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PNG_FILTER_PAETH</h4>
<pre>public static final&nbsp;int PNG_FILTER_PAETH</pre>
<div class="block">Constant for use in filtering.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.png.mxPngEncodeParam.PNG_FILTER_PAETH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="bitDepth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bitDepth</h4>
<pre>protected&nbsp;int bitDepth</pre>
</li>
</ul>
<a id="bitDepthSet">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bitDepthSet</h4>
<pre>protected&nbsp;boolean bitDepthSet</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxPngEncodeParam</h4>
<pre>public&nbsp;mxPngEncodeParam()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDefaultEncodeParam(java.awt.image.RenderedImage)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultEncodeParam</h4>
<pre class="methodSignature">public static&nbsp;<a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a>&nbsp;getDefaultEncodeParam&#8203;(java.awt.image.RenderedImage&nbsp;im)</pre>
<div class="block">Returns an instance of <code>PNGEncodeParam.Palette</code>,
 <code>PNGEncodeParam.Gray</code>, or
 <code>PNGEncodeParam.RGB</code> appropriate for encoding
 the given image.

 <p> If the image has an <code>IndexColorModel</code>, an
 instance of <code>PNGEncodeParam.Palette</code> is returned.
 Otherwise, if the image has 1 or 2 bands an instance of
 <code>PNGEncodeParam.Gray</code> is returned.  In all other
 cases an instance of <code>PNGEncodeParam.RGB</code> is
 returned.

 <p> Note that this method does not provide any guarantee that
 the given image will be successfully encoded by the PNG
 encoder, as it only performs a very superficial analysis of
 the image structure.</div>
</li>
</ul>
<a id="setBitDepth(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBitDepth</h4>
<pre class="methodSignature">public abstract&nbsp;void&nbsp;setBitDepth&#8203;(int&nbsp;bitDepth)</pre>
<div class="block">Sets the desired bit depth of an image.</div>
</li>
</ul>
<a id="getBitDepth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBitDepth</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getBitDepth()</pre>
<div class="block">Returns the desired bit depth for a grayscale image.

 <p> If the bit depth has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the bit depth is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetBitDepth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetBitDepth</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetBitDepth()</pre>
<div class="block">Suppresses the setting of the bit depth of a grayscale image.
 The depth of the encoded image will be inferred from the source
 image bit depth, rounded up to the next power of 2 between 1
 and 16.</div>
</li>
</ul>
<a id="setInterlacing(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterlacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInterlacing&#8203;(boolean&nbsp;useInterlacing)</pre>
<div class="block">Turns Adam7 interlacing on or off.</div>
</li>
</ul>
<a id="getInterlacing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterlacing</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;getInterlacing()</pre>
<div class="block">Returns <code>true</code> if Adam7 interlacing will be used.</div>
</li>
</ul>
<a id="unsetBackground()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetBackground</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetBackground()</pre>
<div class="block">Suppresses the 'bKGD' chunk from being output.
 For API compatibility with JAI 1.0, the superclass
 defines this method to throw a <code>RuntimeException</code>;
 accordingly, subclasses must provide their own implementations.</div>
</li>
</ul>
<a id="isBackgroundSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBackgroundSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isBackgroundSet()</pre>
<div class="block">Returns true if a 'bKGD' chunk will be output.
 For API compatibility with JAI 1.0, the superclass
 defines this method to throw a <code>RuntimeException</code>;
 accordingly, subclasses must provide their own implementations.</div>
</li>
</ul>
<a id="setChromaticity(float[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setChromaticity</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setChromaticity&#8203;(float[]&nbsp;chromaticity)</pre>
<div class="block">Sets the white point and primary chromaticities in CIE (x, y)
 space.

 <p> The <code>chromaticity</code> parameter should be a
 <code>float</code> array of length 8 containing the white point
 X and Y, red X and Y, green X and Y, and blue X and Y values in
 order.

 <p> The 'cHRM' chunk will encode this information.</div>
</li>
</ul>
<a id="setChromaticity(float,float,float,float,float,float,float,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setChromaticity</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setChromaticity&#8203;(float&nbsp;whitePointX,
                            float&nbsp;whitePointY,
                            float&nbsp;redX,
                            float&nbsp;redY,
                            float&nbsp;greenX,
                            float&nbsp;greenY,
                            float&nbsp;blueX,
                            float&nbsp;blueY)</pre>
<div class="block">A convenience method that calls the array version.</div>
</li>
</ul>
<a id="getChromaticity()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChromaticity</h4>
<pre class="methodSignature">public&nbsp;float[]&nbsp;getChromaticity()</pre>
<div class="block">Returns the white point and primary chromaticities in
 CIE (x, y) space.

 <p> See the documentation for the <code>setChromaticity</code>
 method for the format of the returned data.

 <p> If the chromaticity has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the chromaticity is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetChromaticity()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetChromaticity</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetChromaticity()</pre>
<div class="block">Suppresses the 'cHRM' chunk from being output.</div>
</li>
</ul>
<a id="isChromaticitySet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isChromaticitySet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isChromaticitySet()</pre>
<div class="block">Returns true if a 'cHRM' chunk will be output.</div>
</li>
</ul>
<a id="setGamma(float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGamma</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGamma&#8203;(float&nbsp;gamma)</pre>
<div class="block">Sets the file gamma value for the image.

 <p> The 'gAMA' chunk will encode this information.</div>
</li>
</ul>
<a id="getGamma()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGamma</h4>
<pre class="methodSignature">public&nbsp;float&nbsp;getGamma()</pre>
<div class="block">Returns the file gamma value for the image.

 <p> If the file gamma has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the gamma is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetGamma()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetGamma</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetGamma()</pre>
<div class="block">Suppresses the 'gAMA' chunk from being output.</div>
</li>
</ul>
<a id="isGammaSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGammaSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isGammaSet()</pre>
<div class="block">Returns true if a 'gAMA' chunk will be output.</div>
</li>
</ul>
<a id="setPaletteHistogram(int[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPaletteHistogram</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPaletteHistogram&#8203;(int[]&nbsp;paletteHistogram)</pre>
<div class="block">Sets the palette histogram to be stored with this image.
 The histogram consists of an array of integers, one per
 palette entry.

 <p> The 'hIST' chunk will encode this information.</div>
</li>
</ul>
<a id="getPaletteHistogram()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPaletteHistogram</h4>
<pre class="methodSignature">public&nbsp;int[]&nbsp;getPaletteHistogram()</pre>
<div class="block">Returns the palette histogram to be stored with this image.

 <p> If the histogram has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the histogram is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetPaletteHistogram()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetPaletteHistogram</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetPaletteHistogram()</pre>
<div class="block">Suppresses the 'hIST' chunk from being output.</div>
</li>
</ul>
<a id="isPaletteHistogramSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPaletteHistogramSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isPaletteHistogramSet()</pre>
<div class="block">Returns true if a 'hIST' chunk will be output.</div>
</li>
</ul>
<a id="setICCProfileData(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setICCProfileData</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setICCProfileData&#8203;(byte[]&nbsp;ICCProfileData)</pre>
<div class="block">Sets the ICC profile data to be stored with this image.
 The profile is represented in raw binary form.

 <p> The 'iCCP' chunk will encode this information.</div>
</li>
</ul>
<a id="getICCProfileData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getICCProfileData</h4>
<pre class="methodSignature">public&nbsp;byte[]&nbsp;getICCProfileData()</pre>
<div class="block">Returns the ICC profile data to be stored with this image.

 <p> If the ICC profile has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the ICC profile is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetICCProfileData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetICCProfileData</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetICCProfileData()</pre>
<div class="block">Suppresses the 'iCCP' chunk from being output.</div>
</li>
</ul>
<a id="isICCProfileDataSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isICCProfileDataSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isICCProfileDataSet()</pre>
<div class="block">Returns true if a 'iCCP' chunk will be output.</div>
</li>
</ul>
<a id="setPhysicalDimension(int[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhysicalDimension</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPhysicalDimension&#8203;(int[]&nbsp;physicalDimension)</pre>
<div class="block">Sets the physical dimension information to be stored with this
 image.  The physicalDimension parameter should be a 3-entry
 array containing the number of pixels per unit in the X
 direction, the number of pixels per unit in the Y direction,
 and the unit specifier (0 = unknown, 1 = meters).

 <p> The 'pHYS' chunk will encode this information.</div>
</li>
</ul>
<a id="setPhysicalDimension(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhysicalDimension</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPhysicalDimension&#8203;(int&nbsp;xPixelsPerUnit,
                                 int&nbsp;yPixelsPerUnit,
                                 int&nbsp;unitSpecifier)</pre>
<div class="block">A convenience method that calls the array version.</div>
</li>
</ul>
<a id="getPhysicalDimension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPhysicalDimension</h4>
<pre class="methodSignature">public&nbsp;int[]&nbsp;getPhysicalDimension()</pre>
<div class="block">Returns the physical dimension information to be stored
 with this image.

 <p> If the physical dimension information has not previously
 been set, or has been unset, an
 <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the physical dimension information
        is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetPhysicalDimension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetPhysicalDimension</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetPhysicalDimension()</pre>
<div class="block">Suppresses the 'pHYS' chunk from being output.</div>
</li>
</ul>
<a id="isPhysicalDimensionSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPhysicalDimensionSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isPhysicalDimensionSet()</pre>
<div class="block">Returns true if a 'pHYS' chunk will be output.</div>
</li>
</ul>
<a id="setSuggestedPalette(hk.quantr.mxgraph.util.png.mxPngSuggestedPaletteEntry[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuggestedPalette</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSuggestedPalette&#8203;(<a href="mxPngSuggestedPaletteEntry.html" title="class in hk.quantr.mxgraph.util.png">mxPngSuggestedPaletteEntry</a>[]&nbsp;palette)</pre>
<div class="block">Sets the suggested palette information to be stored with this
 image.  The information is passed to this method as an array of
 <code>PNGSuggestedPaletteEntry</code> objects.

 <p> The 'sPLT' chunk will encode this information.</div>
</li>
</ul>
<a id="unsetSuggestedPalette()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetSuggestedPalette</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetSuggestedPalette()</pre>
<div class="block">Suppresses the 'sPLT' chunk from being output.</div>
</li>
</ul>
<a id="isSuggestedPaletteSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSuggestedPaletteSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isSuggestedPaletteSet()</pre>
<div class="block">Returns true if a 'sPLT' chunk will be output.</div>
</li>
</ul>
<a id="setSignificantBits(int[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignificantBits</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSignificantBits&#8203;(int[]&nbsp;significantBits)</pre>
<div class="block">Sets the number of significant bits for each band of the image.

 <p> The number of entries in the <code>significantBits</code>
 array must be equal to the number of output bands in the image:
 1 for a gray image, 2 for gray+alpha, 3 for index or truecolor,
 and 4 for truecolor+alpha.

 <p> The 'sBIT' chunk will encode this information.</div>
</li>
</ul>
<a id="getSignificantBits()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignificantBits</h4>
<pre class="methodSignature">public&nbsp;int[]&nbsp;getSignificantBits()</pre>
<div class="block">Returns the number of significant bits for each band of the image.

 <p> If the significant bits values have not previously been
 set, or have been unset, an <code>IllegalStateException</code>
 will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the significant bits values are
        not set.</dd>
</dl>
</li>
</ul>
<a id="unsetSignificantBits()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetSignificantBits</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetSignificantBits()</pre>
<div class="block">Suppresses the 'sBIT' chunk from being output.</div>
</li>
</ul>
<a id="isSignificantBitsSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSignificantBitsSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isSignificantBitsSet()</pre>
<div class="block">Returns true if an 'sBIT' chunk will be output.</div>
</li>
</ul>
<a id="setSRGBIntent(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSRGBIntent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSRGBIntent&#8203;(int&nbsp;SRGBIntent)</pre>
<div class="block">Sets the sRGB rendering intent to be stored with this image.
 The legal values are 0 = Perceptual, 1 = Relative Colorimetric,
 2 = Saturation, and 3 = Absolute Colorimetric.  Refer to the
 PNG specification for information on these values.

 <p> The 'sRGB' chunk will encode this information.</div>
</li>
</ul>
<a id="getSRGBIntent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSRGBIntent</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getSRGBIntent()</pre>
<div class="block">Returns the sRGB rendering intent to be stored with this image.

 <p> If the sRGB intent has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the sRGB intent is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetSRGBIntent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetSRGBIntent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetSRGBIntent()</pre>
<div class="block">Suppresses the 'sRGB' chunk from being output.</div>
</li>
</ul>
<a id="isSRGBIntentSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSRGBIntentSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isSRGBIntentSet()</pre>
<div class="block">Returns true if an 'sRGB' chunk will be output.</div>
</li>
</ul>
<a id="setText(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setText</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setText&#8203;(java.lang.String[]&nbsp;text)</pre>
<div class="block">Sets the textual data to be stored in uncompressed form with this
 image.  The data is passed to this method as an array of
 <code>String</code>s.

 <p> The 'tEXt' chunk will encode this information.</div>
</li>
</ul>
<a id="getText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getText</h4>
<pre class="methodSignature">public&nbsp;java.lang.String[]&nbsp;getText()</pre>
<div class="block">Returns the text strings to be stored in uncompressed form with this
 image as an array of <code>String</code>s.

 <p> If the text strings have not previously been set, or have been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the text strings are not set.</dd>
</dl>
</li>
</ul>
<a id="unsetText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetText</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetText()</pre>
<div class="block">Suppresses the 'tEXt' chunk from being output.</div>
</li>
</ul>
<a id="isTextSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTextSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isTextSet()</pre>
<div class="block">Returns true if a 'tEXt' chunk will be output.</div>
</li>
</ul>
<a id="setModificationTime(java.util.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModificationTime</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setModificationTime&#8203;(java.util.Date&nbsp;modificationTime)</pre>
<div class="block">Sets the modification time, as a <code>Date</code>, to be
 stored with this image.  The internal storage format will use
 UTC regardless of how the <code>modificationTime</code>
 parameter was created.

 <p> The 'tIME' chunk will encode this information.</div>
</li>
</ul>
<a id="getModificationTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModificationTime</h4>
<pre class="methodSignature">public&nbsp;java.util.Date&nbsp;getModificationTime()</pre>
<div class="block">Returns the modification time to be stored with this image.

 <p> If the bit depth has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the bit depth is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetModificationTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetModificationTime</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetModificationTime()</pre>
<div class="block">Suppresses the 'tIME' chunk from being output.</div>
</li>
</ul>
<a id="isModificationTimeSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isModificationTimeSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isModificationTimeSet()</pre>
<div class="block">Returns true if a 'tIME' chunk will be output.</div>
</li>
</ul>
<a id="unsetTransparency()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetTransparency</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetTransparency()</pre>
<div class="block">Suppresses the 'tRNS' chunk from being output.</div>
</li>
</ul>
<a id="isTransparencySet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTransparencySet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isTransparencySet()</pre>
<div class="block">Returns true if a 'tRNS' chunk will be output.</div>
</li>
</ul>
<a id="setCompressedText(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCompressedText</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCompressedText&#8203;(java.lang.String[]&nbsp;text)</pre>
<div class="block">Sets the text strings to be stored in compressed form with this
 image.  The data is passed to this method as an array of
 <code>String</code>s.

 <p> The 'zTXt' chunk will encode this information.</div>
</li>
</ul>
<a id="getCompressedText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompressedText</h4>
<pre class="methodSignature">public&nbsp;java.lang.String[]&nbsp;getCompressedText()</pre>
<div class="block">Returns the text strings to be stored in compressed form with
 this image as an array of <code>String</code>s.

 <p> If the compressed text strings have not previously been
 set, or have been unset, an <code>IllegalStateException</code>
 will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the compressed text strings are
        not set.</dd>
</dl>
</li>
</ul>
<a id="unsetCompressedText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetCompressedText</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetCompressedText()</pre>
<div class="block">Suppresses the 'zTXt' chunk from being output.</div>
</li>
</ul>
<a id="isCompressedTextSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCompressedTextSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isCompressedTextSet()</pre>
<div class="block">Returns true if a 'zTXT' chunk will be output.</div>
</li>
</ul>
<a id="addPrivateChunk(java.lang.String,byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPrivateChunk</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addPrivateChunk&#8203;(java.lang.String&nbsp;type,
                            byte[]&nbsp;data)</pre>
<div class="block">Adds a private chunk, in binary form, to the list of chunks to
 be stored with this image.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - a 4-character String giving the chunk type name.</dd>
<dd><code>data</code> - an array of <code>byte</code>s containing the
        chunk data.</dd>
</dl>
</li>
</ul>
<a id="getNumPrivateChunks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumPrivateChunks</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNumPrivateChunks()</pre>
<div class="block">Returns the number of private chunks to be written to the
 output file.</div>
</li>
</ul>
<a id="getPrivateChunkType(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrivateChunkType</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getPrivateChunkType&#8203;(int&nbsp;index)</pre>
<div class="block">Returns the type of the private chunk at a given index, as a
 4-character <code>String</code>.  The index must be smaller
 than the return value of <code>getNumPrivateChunks</code>.</div>
</li>
</ul>
<a id="getPrivateChunkData(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrivateChunkData</h4>
<pre class="methodSignature">public&nbsp;byte[]&nbsp;getPrivateChunkData&#8203;(int&nbsp;index)</pre>
<div class="block">Returns the data associated of the private chunk at a given
 index, as an array of <code>byte</code>s.  The index must be
 smaller than the return value of
 <code>getNumPrivateChunks</code>.</div>
</li>
</ul>
<a id="removeUnsafeToCopyPrivateChunks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeUnsafeToCopyPrivateChunks</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeUnsafeToCopyPrivateChunks()</pre>
<div class="block">Remove all private chunks associated with this parameter instance
 whose 'safe-to-copy' bit is not set.  This may be advisable when
 transcoding PNG images.</div>
</li>
</ul>
<a id="removeAllPrivateChunks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAllPrivateChunks</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeAllPrivateChunks()</pre>
<div class="block">Remove all private chunks associated with this parameter instance.</div>
</li>
</ul>
<a id="paethPredictor(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paethPredictor</h4>
<pre class="methodSignature">public static final&nbsp;int&nbsp;paethPredictor&#8203;(int&nbsp;a,
                                       int&nbsp;b,
                                       int&nbsp;c)</pre>
<div class="block">The Paeth predictor routine used in PNG encoding.  This routine
 is included as a convenience to subclasses that override the
 <code>filterRow</code> method.</div>
</li>
</ul>
<a id="filterRow(byte[],byte[],byte[][],int,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>filterRow</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;filterRow&#8203;(byte[]&nbsp;currRow,
                     byte[]&nbsp;prevRow,
                     byte[][]&nbsp;scratchRows,
                     int&nbsp;bytesPerRow,
                     int&nbsp;bytesPerPixel)</pre>
<div class="block">Performs filtering on a row of an image.  This method may be
 overridden in order to provide a custom algorithm for choosing
 the filter type for a given row.

 <p> The method is supplied with the current and previous rows
 of the image.  For the first row of the image, or of an
 interlacing pass, the previous row array will be filled with
 zeros as required by the PNG specification.

 <p> The method is also supplied with five scratch arrays.
 These arrays may be used within the method for any purpose.
 At method exit, the array at the index given by the return
 value of the method should contain the filtered data.  The
 return value will also be used as the filter type.

 <p> The default implementation of the method performs a trial
 encoding with each of the filter types, and computes the sum of
 absolute values of the differences between the raw bytes of the
 current row and the predicted values.  The index of the filter
 producing the smallest result is returned.

 <p> As an example, to perform only 'sub' filtering, this method
 could be implemented (non-optimally) as follows:

 <pre>
 for (int i = bytesPerPixel; i < bytesPerRow + bytesPerPixel; i++) {
     int curr = currRow[i] & 0xff;
     int left = currRow[i - bytesPerPixel] & 0xff;
     scratchRow[PNG_FILTER_SUB][i] = (byte)(curr - left);
 }
 return PNG_FILTER_SUB;
 </pre></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currRow</code> - The current row as an array of <code>byte</code>s
        of length at least <code>bytesPerRow + bytesPerPixel</code>.
        The pixel data starts at index <code>bytesPerPixel</code>;
        the initial <code>bytesPerPixel</code> bytes are zero.</dd>
<dd><code>prevRow</code> - The current row as an array of <code>byte</code>s
        The pixel data starts at index <code>bytesPerPixel</code>;
        the initial <code>bytesPerPixel</code> bytes are zero.</dd>
<dd><code>scratchRows</code> - An array of 5 <code>byte</code> arrays of
        length at least <code>bytesPerRow +
        bytesPerPixel</code>, useable to hold temporary results.
        The filtered row will be returned as one of the entries
        of this array.  The returned filtered data should start
        at index <code>bytesPerPixel</code>; The initial
        <code>bytesPerPixel</code> bytes are not used.</dd>
<dd><code>bytesPerRow</code> - The number of bytes in the image row.
        This value will always be greater than 0.</dd>
<dd><code>bytesPerPixel</code> - The number of bytes representing a single
        pixel, rounded up to an integer.  This is the 'bpp' parameter
        described in the PNG specification.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The filter type to be used.  The entry of
         <code>scratchRows[]</code> at this index holds the
         filtered data.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxPngEncodeParam.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
